default['rsyslog']['enabled'] = true

# Use this in your env cookbook to use your own pem file as client certificate
# to authenticate to remote rsyslog server
default['rsyslog']['pem_certificate'] = 'minisyslog_ca.pem'
# default['rsyslog']['pem_source_cookbook'] = "my-cookbook"

# Log to local rsyslog server by default
default['rsyslog']['server_ip'] = 'minisyslog:514'

default['rsyslog']['pem_path_source'] = 'rsyslog_pem_files'
default['rsyslog']['pem_path'] = '/etc/pki/tls/certs'

default['rsyslog']['preserve_fqdn'] = 'on'

default['rsyslog']['file_inputs']['cron']['file'] = '/var/log/cron'
default['rsyslog']['file_inputs']['cron']['severity'] = 'error'
default['rsyslog']['file_inputs']['cron']['priority'] = 98

default['rsyslog']['file_inputs']['yum.log']['file'] = '/var/log/yum.log'
default['rsyslog']['file_inputs']['yum.log']['priority'] = 97

default['rsyslog']['file_inputs']['client.log']['file'] = '/var/log/chef-client.log'
default['rsyslog']['file_inputs']['client.log']['priority'] = 60
default['rsyslog']['file_inputs']['client.log']['severity'] = 'info'

# Snort already logs directly to syslog
# default['rsyslog']['file_inputs']['snort.alert']['file'] = '/var/log/snort/alert'
# default['rsyslog']['file_inputs']['snort.alert']['priority'] = 61
# default['rsyslog']['file_inputs']['snort.alert']['severity'] = 'error'

default['rsyslog']['file_inputs']['snort.oinkmaster']['file'] = '/var/log/snort/oinkmaster.log'
default['rsyslog']['file_inputs']['snort.oinkmaster']['priority'] = 62
default['rsyslog']['file_inputs']['snort.oinkmaster']['severity'] = 'info'

default['rsyslog']['file_inputs']['cloud-init.log']['file'] = '/var/log/cloud-init-output.log'
default['rsyslog']['file_inputs']['cloud-init.log']['priority'] = 71
default['rsyslog']['file_inputs']['cloud-init.log']['severity'] = 'info'

default['rsyslog']['file_inputs']['cloud-init.log']['file'] = '/var/log/cloud-init.log'
default['rsyslog']['file_inputs']['cloud-init.log']['priority'] = 71
default['rsyslog']['file_inputs']['cloud-init.log']['severity'] = 'info'
